Page MenuHomePhabricator

Add deliver.odai.yale.edu domain to $wgCopyUploadsDomains
Closed, ResolvedPublic

Description

Please add the following domain to the wgCopyUploadsDomains whitelist, so that I can use GWToolset to upload media files from that domain. I have provided at least 3 example URLs to media files that will be uploaded with GWToolset.

http://deliver.odai.yale.edu

http://deliver.odai.yale.edu/content/repository/YPM/id/685628/format/3
http://deliver.odai.yale.edu/content/repository/YPM/id/685621/format/3
http://deliver.odai.yale.edu/content/repository/YPM/id/685616/format/3

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd deliver.odai.yale.edu to wgCopyUploadsDomains

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2019, 11:51 AM
Aklapper renamed this task from Add domain to $wgCopyUploadsDomains to Add deliver.odai.yale.edu domain to $wgCopyUploadsDomains.EditedJun 3 2019, 1:00 PM

@ChristianFerrer: You assigned this task to yourself, that means you plan to fix this yourself? See https://www.mediawiki.org/wiki/How_to_report_a_bug

ChristianFerrer removed ChristianFerrer as the assignee of this task.Jun 3 2019, 5:02 PM
ChristianFerrer added a comment.EditedJun 3 2019, 5:06 PM

No sorry, to have assigned this task to myself was a mistake....

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptJun 3 2019, 6:07 PM

Note that, in case that this question is is relevant here, the media files are freely licensed on line, inside a dataset published in GBIF infrastructure by the copyright holder, the Yale Peabody Museum
Dataset available at https://www.gbif.org/dataset/854e35e6-f762-11e1-a439-00145eb45e9a
All the media files are explicitely freely licensed in each occurences, example:
https://www.gbif.org/occurrence/1848920659

Zoranzoki21 removed Zoranzoki21 as the assignee of this task.Jun 14 2019, 1:31 PM
Zoranzoki21 added a subscriber: Zoranzoki21.
Restricted Application added a subscriber: Bawolff. · View Herald TranscriptJun 14 2019, 1:31 PM

Change 517172 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Add deliver.odai.yale.edu to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/517172

Change 517172 merged by jenkins-bot:
[operations/mediawiki-config@master] Add deliver.odai.yale.edu to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/517172

Mentioned in SAL (#wikimedia-operations) [2019-06-17T18:18:39Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: Extend wgCopyUploadsDomains T213901 T224875 T225852 (duration: 00m 47s)

Framawiki closed this task as Resolved.Jun 17 2019, 6:30 PM

Change is live. Please ping if it's not working as needed.